import { AxiosResponseHeaders, RawAxiosResponseHeaders } from "axios";
import { AxiosInstance } from "axios";
import { Agent as IAgent, HttpRequest, HttpResponse } from "@ideal-postcodes/core-interface";
/**
 * @hidden
 */
interface ToHeader {
    (gotHeaders: RawAxiosResponseHeaders | AxiosResponseHeaders): Record<string, string>;
}
/**
 * Converts a Got header object to one that can be used by the client
 *
 * @hidden
 */
export declare const toHeader: ToHeader;
/**
 * Agent
 *
 * @hidden
 */
export declare class Agent implements IAgent {
    Axios: AxiosInstance;
    constructor();
    private requestWithBody;
    private request;
    http(httpRequest: HttpRequest): Promise<HttpResponse>;
}
export {};
